%define name		lifev
%define version 	0.7.1
%define release		%mkrel 1
%define libmajor	0
%define libname		%mklibname %{name} %{libmajor}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Finite element(FE) library
Group:		System/Libraries
URL:		http://www.lifev.org/
Source:		http://cmcsforge.epfl.ch/frs/download.php/17/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.7.0.fix-compilation.patch.bz2
Patch1:		%{name}-0.7.0.lib64-fix.patch.bz2
License:	LGPL
BuildRequires:	boost-static-devel
BuildRequires:	lapack-devel
BuildRequires:	amd-devel
BuildRequires:	umfpack-devel
BuildRequires:	aztecoo-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake1.9
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
LifeV is a finite element(FE) library providing implementations of state of the
art mathematical and numerical methods. It serves both as a research and
production library. It has been used already in medical and industrial context
to simulate fluid structure interaction and mass transport. LifeV is the joint
collaboration between three institutions: cole Polytechnique Fdrale de
Lausanne (CMCS) in Switzerland, Politecnico di Milano (MOX) in Italy and INRIA
(BANG) in France.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch0 -p 0 -b compilation-fix
%patch1 -p 0 -b lib64-fix

%build
aclocal-1.9 -I admin
autoconf-2.5x
automake-1.9
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%{_datadir}/doc/%{name}
chmod 644 %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS NEWS BUGS README ChangeLog INSTALL
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Tue May 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.1-1mdk
- new version

* Wed May 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-6mdk
- apply patch inconditionally

* Wed May 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-5mdk
- only patch autoconf on x86_64

* Tue May 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-4mdk
- fix build on x86_64

* Tue Apr 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-3mdk
- more buildrequires fixes

* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-2mdk
- fix buildrequires

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-1mdk
- first mdk release 
